//
// Created by sebastian on 10.02.26.
//

#include "UiImage.h"

#include <iostream>

void UiImage::onCollectRenderData(UiRenderBundle& renderBundle) {
    if (!visible) return;
    Dimensions dims = uiPositioner.screenSpace;
    std::cout << "Child Y: " << uiPositioner.screenSpace.y << "Height " << uiPositioner.screenSpace.height <<std::endl;
    GUITexture texture(textureID, glm::vec2(dims.x, dims.y), glm::vec2(dims.width, dims.height));
    renderBundle.addGUITexture(std::make_shared<GUITexture>(texture));;
}
